← Iitheyibhile
Cima

Ireland

Ulster Senior Cup Group 2

#IqelaPWDLPDPtsImo
1Instonians RFC3300–14WW
2Clogher Valley RFC3201–10WWL
3Ballymena RFC3102–6LLW
4Queen’s University RFC3003–-4LL

Umthombo: Ulster Rugby · kujongiwe Okt 14, 17:50 · Imo: iziphumo ezintlanu zokugqibela esinazo, ezintsha zisekunene.

Imidlalo neziphumo →

Itheyibhile nganye yileyo ipapashwe yiligi ngokwayo, kuquka amanqaku ebhonasi, ukuthabathwa kwamanqaku nemithetho yokulingana. I-BP iboniswa apho iligi iyipapasha khona; kwezinye iindawo sele ikwi-Pts.